be.ehealth.businessconnector.registration.session.impl

## Class RegistrationSessionImpl

- java.lang.Object
- - be.ehealth.businessconnector.registration.session.impl.RegistrationSessionImpl

- All Implemented Interfaces:
    RegistrationSession, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class RegistrationSessionImpl
      extends Object
      implements RegistrationSession, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation of `RegistrationSession`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistrationSessionImpl()` only for bootstrap purposes.
    `RegistrationSessionImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `RegisterToMycarenetServiceResponse` | `registerToMycarenetService(RegisterToMycarenetServiceRequest request)` registers a doctor in mycarenet.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistrationSessionImpl

          public RegistrationSessionImpl(SessionValidator sessionValidator,
                                         EhealthReplyValidator replyValidator)
                                  throws TechnicalConnectorException

      Parameters:
        `sessionValidator` -
        `replyValidator` - not used for this service. the business answer does not contain an business error , but will throw SoapException.
      Throws:
        `TechnicalConnectorException`

    - #### RegistrationSessionImpl

          public RegistrationSessionImpl()

      only for bootstrap purposes.

  - ### Method Detail

    - #### registerToMycarenetService

          public RegisterToMycarenetServiceResponse registerToMycarenetService(RegisterToMycarenetServiceRequest request)
                                                                        throws TechnicalConnectorException

      Description copied from interface: `RegistrationSession`
      registers a doctor in mycarenet. See https://share.intermut.be/home/MyCareNet/chapterIV/extranet/Webservices%20Register/1/MyCareNet%20Inschrijving%20GMD.pdf
      Specified by:
        `registerToMycarenetService` in interface `RegistrationSession`
      Parameters:
        `request` - RegisterToMycarenetServiceRequest
      Returns:
        RegisterToMycarenetServiceResponse
      Throws:
        `TechnicalConnectorException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.